package router

import (
	"github.com/gin-gonic/gin"
	"go-admin/app/admin/apis/recyclecardmanage"
	"go-admin/app/admin/middleware"
	jwt "go-admin/pkg/jwtauth"
)

// 无需认证的路由代码
func registerRecycleCardManageUnAuthRouter(v1 *gin.RouterGroup) {
	recycleCardRouter := v1.Group("/recycle_card")

	{

		recycleCardRouter.POST("order/detail", recyclecardmanage.RecycleCardOrderDetail)
		recycleCardRouter.POST("order/check", recyclecardmanage.RecycleCardOrderCheck)       // 管理端
		recycleCardRouter.POST("config/update", recyclecardmanage.RecycleCardConfigUpdate)   // 管理端
		recycleCardRouter.POST("config/info", recyclecardmanage.RecycleCardConfigInfo)       // 管理端
		recycleCardRouter.POST("order/retrieve", recyclecardmanage.RecycleCardOrderRetrieve) // 管理端

		//recycleCardRouter.POST("cassette_image/update", recyclecardmanage.RecycleCardOrderImageUpdate) // 管理端
		//redeemCode.POST("/send_user", activity.RedeemCodeSendToUser)
		//redeemCode.POST("/user_redeem_code/list", activitymanage.UserRedeemCodeList)
		//redeemCode.POST("/user_coupon/list", activitymanage.UserCouponList)
		//redeemCode.POST("/config", activitymanage.RenewalConfigInfo)
		//redeemCode.POST("/config/update", activitymanage.RenewalConfigUpdate)
		//redeemCode.POST("/statistic", activitymanage.UserMemberRenewalStatistic)
	}

}

// 需认证的路由代码
func registerRecycleCardManageRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	recycleCardRouter := v1.Group("/recycle_card").Use(authMiddleware.MiddlewareFunc()).Use(middleware.AuthCheckRole())
	{
		//recycleCardRouter.POST("order/list", recyclecardmanage.RecycleCardOrderList)
		//recycleCardRouter.POST("order/detail", recyclecardmanage.RecycleCardOrderDetail)
		//recycleCardRouter.POST("order/check", recyclecardmanage.RecycleCardOrderCheck)                 // 管理端
		recycleCardRouter.POST("cassette_image/update", recyclecardmanage.RecycleCardOrderImageUpdate) // 管理端
		recycleCardRouter.POST("order/list", recyclecardmanage.RecycleCardOrderList)
	}

	//r := v1.Group("/syscategory").Use(authMiddleware.MiddlewareFunc()).Use(middleware.AuthCheckRole())
	//{
	//	r.GET("/:id", syscategory.GetSysCategory)
	//	r.POST("", syscategory.InsertSysCategory)
	//	r.PUT("", syscategory.UpdateSysCategory)
	//	r.DELETE("/:id", syscategory.DeleteSysCategory)
	//}

	//l := v1.Group("").Use(authMiddleware.MiddlewareFunc()).Use(middleware.AuthCheckRole())
	//{
	//	l.GET("/syscategoryList", syscategory.GetSysCategoryList)
	//}

	//activityRouter := v1.Group("/activity").Use(authMiddleware.MiddlewareFunc()).Use(middleware.AuthCheckRole())
	//{
	//	activityRouter.POST("/redeem_code/send_user", activitymanage.RedeemCodeSendToUser)
	//}

}
